import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;

public class Tasks {
	 public static void main(String[] args) {
	        
		 	if(args.length >2){
		 		String resourcesFolderPath = args[0];
		 		String zipTargetFolderPath = args[1];
		 		String extensions = args[2]; //list of extension in a string as "jpeg, png, ods, ..."
		 		
		 		System.out.println("arg1: " + resourcesFolderPath+" arg2: " + zipTargetFolderPath+" arg3: "+ extensions );
		 		
		 		File folder = new File(resourcesFolderPath);
		 		File[] listOfFiles = folder.listFiles();

		 		String pattern = "(.+?)\\.([^.]*$|$)";
		 		// Create a Pattern object
 		        Pattern r = Pattern.compile(pattern);
 		        // Now create matcher object.
 		        Matcher m;
		 		
		 		String extension;
		 		String filename;
		 		String filePlusExtension;
		 		
		 		Tasks unZip = new Tasks();
		 		
		 		    for (int i = 0; i < listOfFiles.length; i++) {
		 		      if (listOfFiles[i].isFile()) {

		 		        m = r.matcher(listOfFiles[i].getName());
		 		        if (m.find()) {
		 		           System.out.println("File: " + m.group(0)+" Filename value: " + m.group(1)+" Extension value: "+ m.group(2) );
		 		        	extension = m.group(2);
		 		        	if(extensions.indexOf(extension)>=0){
		 		        		filePlusExtension = m.group(0);
		 		        		filename = m.group(1);

		 		        		unZip.unZipIt(resourcesFolderPath+"/"+filePlusExtension,zipTargetFolderPath+"/"+filename);		 		        		
		 		        		
		 		        	}
		 		        }
		 		    	  
		 		
		 		      } 
		 		    }

		 		
		 	}else{
		 		System.out.println("Error, missing arguments");
		 	}
	 	}
	 
	 /**
	     * Unzip it
	     * @param zipFile input zip file
	     * @param output zip file output folder
	     */
	    public void unZipIt(String zipFile, String outputFolder){
	 
	     byte[] buffer = new byte[1024];
	 
	     try{
	 
	    	//create output directory is not exists
	    	File folder = new File(outputFolder);
	    	if(!folder.exists()){
	    		folder.mkdir();
	    	}
	 
	    	//get the zip file content
	    	ZipInputStream zis = 
	    		new ZipInputStream(new FileInputStream(zipFile));
	    	//get the zipped file list entry
	    	ZipEntry ze = zis.getNextEntry();
	 
	    	while(ze!=null){
	 
	    	   String fileName = ze.getName();
	           File newFile = new File(outputFolder + File.separator + fileName);
	 
	           System.out.println("file unzip : "+ newFile.getAbsoluteFile());
	 
	            //create all non exists folders
	            //else you will hit FileNotFoundException for compressed folder
	            new File(newFile.getParent()).mkdirs();
	 
	            FileOutputStream fos = new FileOutputStream(newFile);             
	 
	            int len;
	            while ((len = zis.read(buffer)) > 0) {
	       		fos.write(buffer, 0, len);
	            }
	 
	            fos.close();   
	            ze = zis.getNextEntry();
	    	}
	 
	        zis.closeEntry();
	    	zis.close();
	 
	    	System.out.println("Done");
	 
	    }catch(IOException ex){
	       ex.printStackTrace(); 
	    }
	 
}
	    
}
