<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:hdoc="urn:utc.fr:ics:hdoc:container"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
    version="2.0">
	<xsl:param name="destfile" required="yes" as="xs:string"/>
	
	<xsl:output method="xml" indent="yes"/>
	
    <xsl:template match="hdoc:container">
		
		<project default="get_content">

			<target name="get_content">
			
				<echo message="xslt calling : get resources paths"/>
				
				<xslt in="hdocUnzipped/{hdoc:rootfiles/hdoc:rootfile/@full-path}" out="generate_get_resources_path.ant" style="styles/generate_get_resources_path_ant.xsl">
					<classpath location="sourcesJava/saxon/saxon9he.jar"/>
					<factory name="net.sf.saxon.TransformerFactoryImpl"/>
				</xslt>
				
				<ant antfile="generate_get_resources_path.ant" target="get_path"/>
					
				<!-- Check if resources exist, copy to tmp folder  -->
				<antcall target="do-if-resources"/>
					
				
				<xslt in="hdocUnzipped/{hdoc:rootfiles/hdoc:rootfile/@full-path}" out="odtUnzipped/content.xml" style="styles/hdoc_to_odt_content.xsl"
					classpath="sourcesJava/saxon/saxon9he.jar">
					<factory name="net.sf.saxon.TransformerFactoryImpl"/>
				</xslt>
				
				
				<zip destfile="{$destfile}" compress="false">
					<fileset dir="odtUnzipped">
						<include name="**/**"/>
					</fileset>
				</zip>  
			
			</target>
			
			<!-- Check if the resources folder exists -->
			<target name="check-resources-exists">
				<condition property="dir.exists">
					<available file="tmp" type="dir"/>
				</condition>
			</target>
			
			<!-- If the folder resources exists -->
			<!-- If png,jpeg,jpg,... -> copy to odtUnzipped/Pictures -->
			<!-- If ods -> Unzip to root -->
			<target name="do-if-resources" depends="check-resources-exists" if="dir.exists">
				<echo message="there are some resources in tmp"/>
				
				<java fork="true" failonerror="yes" jar="sourcesJava/nf29.jar">  
					<arg line="tmp"/>
					<arg line="odtUnzipped"/>
					<arg line="ods"/>
				</java>
				
			</target> 
	
	
	</project>	
	
		
	</xsl:template>

	
		
		
</xsl:stylesheet>
