<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:hdoc="http://www.utc.fr/ics/hdoc/xhtml"
    version="2.0">
	
	 <xsl:output method="xml" indent="yes"/>
	
    <xsl:template match="hdoc:html">
	
		<office:document-content xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0"
		xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
		xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"
		xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
		xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
		xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0"
		xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dc="http://purl.org/dc/elements/1.1/"
		xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0"
		xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0"
		xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
		xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0"
		xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0"
		xmlns:math="http://www.w3.org/1998/Math/MathML"
		xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0"
		xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0"
		xmlns:ooo="http://openoffice.org/2004/office" xmlns:ooow="http://openoffice.org/2004/writer"
		xmlns:oooc="http://openoffice.org/2004/calc" xmlns:dom="http://www.w3.org/2001/xml-events"
		xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:xsd="http://www.w3.org/2001/XMLSchema"
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xmlns:rpt="http://openoffice.org/2005/report"
		xmlns:of="urn:oasis:names:tc:opendocument:xmlns:of:1.2"
		xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:grddl="http://www.w3.org/2003/g/data-view#"
		xmlns:tableooo="http://openoffice.org/2009/table"
		xmlns:field="urn:openoffice:names:experimental:ooo-ms-interop:xmlns:field:1.0"
		office:version="1.2">
			<office:automatic-styles>
				<style:style style:name="P1" style:family="paragraph" style:parent-style-name="Standard">
					<style:text-properties fo:font-weight="bold" style:font-weight-asian="bold"
						style:font-weight-complex="bold"/>
				</style:style>
				<style:style style:name="P2" style:family="paragraph" style:parent-style-name="Standard">
					<style:text-properties fo:font-style="italic" fo:font-weight="normal"
						style:font-style-asian="italic" style:font-weight-asian="normal"
						style:font-style-complex="italic" style:font-weight-complex="normal"/>
				</style:style>
				<style:style style:name="P3" style:family="paragraph" style:parent-style-name="Standard">
					<style:text-properties fo:font-style="normal" style:text-underline-style="solid"
						style:text-underline-width="auto" style:text-underline-color="font-color"
						fo:font-weight="normal" style:font-style-asian="normal"
						style:font-weight-asian="normal" style:font-style-complex="normal"
						style:font-weight-complex="normal"/>
				</style:style>
				<style:style style:name="P4" style:family="paragraph" style:parent-style-name="Standard">
					<style:text-properties fo:font-style="normal" style:text-underline-style="none"
						fo:font-weight="normal" style:font-style-asian="normal"
						style:font-weight-asian="normal" style:font-style-complex="normal"
						style:font-weight-complex="normal"/>
				</style:style>
				<style:style style:name="T1" style:family="text">
					<style:text-properties style:text-underline-style="solid"
						style:text-underline-width="auto" style:text-underline-color="font-color"/>
				</style:style>
				<style:style style:name="T2" style:family="text">
					<style:text-properties fo:font-weight="bold" style:font-weight-asian="bold"
						style:font-weight-complex="bold"/>
				</style:style>
				<style:style style:name="T3" style:family="text">
					<style:text-properties fo:font-style="italic" style:font-style-asian="italic"
						style:font-style-complex="italic"/>
				</style:style>
			</office:automatic-styles>
		 <office:body>
			<office:text>
				<text:p text:style-name="Heading_20_1"><xsl:value-of select="hdoc:head/hdoc:title"/></text:p>
				<text:p text:style-name="Heading_20_2"><xsl:value-of select="hdoc:head/hdoc:meta/@content"/></text:p>
				<xsl:apply-templates select="hdoc:body"/>
				
			</office:text> 
		</office:body>
		</office:document-content>
		</xsl:template>

		<xsl:template match="hdoc:section">
			<xsl:apply-templates/>
		</xsl:template>
		
	<xsl:template match="hdoc:header">
		<xsl:apply-templates/>
	</xsl:template>
	
	
	<!-- Titles -->
	<xsl:template match="hdoc:h1">
		<text:p text:style-name="Heading_20_{count(ancestor::hdoc:section)}" text:outline-level="{count(ancestor::hdoc:section)}" xmlns:text="text"><xsl:value-of select="."/></text:p>
	</xsl:template>
		
	<xsl:template match="hdoc:div">
		<xsl:apply-templates/>
	</xsl:template>
	
	<!-- Puces -->
	<xsl:template match="hdoc:ul">
		<text:list text:style-name="List_20_1" xmlns:text="text">
			<xsl:apply-templates/>
		</text:list>
	</xsl:template>
	<xsl:template match="hdoc:li">
		<text:list-item xmlns:text="text">
			<xsl:apply-templates/>
		</text:list-item>
	</xsl:template>
	
	
	<xsl:template match="hdoc:p">
		<text:p text:style-name="Puce" xmlns:text="text"><xsl:apply-templates mode="span"/></text:p>
	</xsl:template>
	
	<!-- Htperlink -->
	<xsl:template match="hdoc:a">
		<text:a xlink:type="simple" xlink:href="{@href}" xmlns:text="text" xmlns:xlink="xlink">
			<xsl:value-of select="."/>
		</text:a>
	</xsl:template>
	<xsl:template match="hdoc:a" mode="span">
		<text:a xlink:type="simple" xlink:href="{@href}" xmlns:text="text" xmlns:xlink="xlink">
			<xsl:value-of select="."/>
		</text:a>
	</xsl:template>
	
	<!-- italic -->
	<xsl:template match="hdoc:i">
		<text:p text:style-name="P2" xmlns:text="text"><xsl:value-of select="."/></text:p>
	</xsl:template>
	<xsl:template match="hdoc:i" mode="span">
		<text:span text:style-name="T3" xmlns:text="text"><xsl:value-of select="."/></text:span>
	</xsl:template>
	
	<!-- bold -->
	<xsl:template match="hdoc:b">
		<text:p text:style-name="P1" xmlns:text="text"><xsl:value-of select="."/></text:p>
	</xsl:template>
	<xsl:template match="hdoc:b" mode="span">
		<text:span text:style-name="T2" xmlns:text="text"><xsl:value-of select="."/></text:span>
	</xsl:template>
	
	<!-- emphasis -->
	<xsl:template match="hdoc:em">
		<text:p text:style-name="P3" xmlns:text="text"><xsl:value-of select="."/></text:p>
	</xsl:template>
	<xsl:template match="hdoc:em" mode="span">
		<text:span text:style-name="T1" xmlns:text="text"><xsl:value-of select="."/></text:span>
	</xsl:template>
	
	<!-- Img -->
	<xsl:template match="hdoc:img">
		<xsl:variable name="path" select="@src"/>
		<text:p text:style-name="Text_20_body" xmlns:text="text"> <!-- change draw:name -->
			<draw:frame draw:style-name="fr1" draw:name="images1" text:anchor-type="paragraph" 
				svg:width="10cm" svg:height="10cm" draw:z-index="0" xmlns:draw="draw" xmlns:svg="svg">
				<draw:image xlink:href="Pictures/{replace($path,'/','@_@')}" xlink:type="simple"
					xlink:show="embed" xlink:actuate="onLoad" xmlns:draw="draw" xmlns:xlink="xlink"/>
			</draw:frame>
		</text:p>
	</xsl:template>
	
	
	
	
		
</xsl:stylesheet>
